#ifndef DLLINTERFACE_INCLUDED
#define DLLINTERFACE_INCLUDED

#include <windows.h>
#undef DCB

//#include "MpegError.h"

#define MPEGFRAMESIZE 1152
#undef DCB


#ifdef _WIN32
	#ifdef _MYLIB_
		#define MYLIBAPI __declspec(dllexport)
	#else
		#define MYLIBAPI __declspec(dllimport)
	#endif     
	#define LIBRARY         
#endif


#pragma pack(push,1)


typedef int (PASCAL *BUFFERFILLFUNC)(short buffer[2][MPEGFRAMESIZE]);

typedef struct tagMP3PARAMS
{
	char			lpszFileName[255];
	BUFFERFILLFUNC	pBufferFunc;
	VOID*			pErrorFunc;
	int				nBitsPerSample;
	int				nChannels;
	DWORD			dwSampleFreq;

	int				nMP3Mode;
	int				nMP3BitRate;
	int				nMP3AcousticModel;
	int				nMP3Emphasis;
	int				nLayer;
	char			lpszWavFileName[255];

} MP3PARAMS;

int MYLIBAPI Mp3Enc(VOID* pThreadParams);
int MyWave_get(short buffer[2][MPEGFRAMESIZE]);
int MYLIBAPI GetDllVersion(void);


#pragma pack(pop)

#endif