#ifdef LAYER3
#define HUFFBITS unsigned short
#define HTN	34
#define MXOFF	250
 
#define MYHUFFTABLE
#ifdef MYHUFFTABLE
struct huffcodetab {
  BYTE		xlen;	 	// max. x-index+
  BYTE		ylen;		// max. y-index+
  BYTE		linbits;	// number of linbits
  SHORT		linmax;		// max number to be stored in linbits
  HUFFBITS *table;		// pointer to array[xlen][ylen]
  unsigned char *hlen;	// pointer to array[xlen][ylen]
};
#else
struct huffcodetab {
  unsigned int xlen; 	/*max. x-index+			      	*/ 
  unsigned int ylen;	/*max. y-index+				*/
  unsigned int linbits; /*number of linbits			*/
  unsigned int linmax;	/*max number to be stored in linbits	*/
  HUFFBITS *table;	/*pointer to array[xlen][ylen]		*/
  unsigned char *hlen;	/*pointer to array[xlen][ylen]		*/
};
#endif

extern struct huffcodetab ht[HTN];/* global memory block		*/
				/* array of all huffcodtable headers	*/
				/* 0..31 Huffman code table 0..31	*/
				/* 32,33 count1-tables			*/

extern void huffman_coder(unsigned int, unsigned int,
                          struct huffcodetab*, Bit_stream_struc*);

#define AF_YLOOKUP
#ifdef AF_YLOOKUP
extern short hYLookup[17][17];
#endif
#endif