#ifndef TONAL_INCLUDED
#define TONAL_INCLUDED

#include "common.h"


#ifdef LAYER2

void II_Psycho_One(		SHORT	buffer[2][1152],
						DOUBLE	scale[2][SBLIMIT], 
						DOUBLE	ltmin[2][SBLIMIT],
						frame_params*	fr_ps);

void read_cbound(int lay,int freq);

void read_freq_band(g_ptr* ltg,int lay,int freq);

DOUBLE add_db(DOUBLE a,DOUBLE b);

void make_map(mask power[HAN_SIZE],g_thres* ltg);

void II_f_f_t(DOUBLE sample[FFT_SIZE],mask power[HAN_SIZE]);

void II_hann_win(DOUBLE sample[FFT_SIZE]);

void II_pick_max(mask power[SBLIMIT],DOUBLE spike[HAN_SIZE]);

void II_tonal_label(mask power[HAN_SIZE],int* tone);

void noise_label(mask* power,int* noise,g_thres* ltg);

void subsampling(mask power[HAN_SIZE],g_thres* ltg,int* tone,int* noise);

void threshold(mask power[HAN_SIZE],g_thres* ltg,int* tone,int* noise,int bit_rate);

void II_smr(	DOUBLE	ltmin[SBLIMIT],
				DOUBLE	spike[SBLIMIT],
				DOUBLE	scale[SBLIMIT],
				int		sblimit
			);

void II_minimum_mask(g_thres* ltg,DOUBLE ltmin[SBLIMIT],int sblimit);



#endif


#endif