#ifndef TABLES_INCLUDED
#define TABLES_INCLUDED

#include "types.h"


#define USE_TABLES


extern float absthr_0[];
extern float absthr_1[];
extern float absthr_2[];
extern double enwindow[];


#ifdef LAYER2
	extern ALLOCTABLE table_ALLOC0[];
	extern ALLOCTABLE table_ALLOC1[];
	extern ALLOCTABLE table_ALLOC2[];
	extern ALLOCTABLE table_ALLOC3[];
	extern ALLOCTABLE table_ALLOC4[];


	extern int table_2CB0[27];
	extern int table_2CB1[27];
	extern int table_2CB2[25];
	extern int table_2CB4[24];
	extern int table_2CB5[24];
	extern int table_2CB6[22];


	extern g_thres table_2TH1[127];
	extern g_thres table_2TH2[133];
	extern g_thres table_2TH0[131];
	extern g_thres table_2TH4[133];
	extern g_thres table_2TH5[133];
	extern g_thres table_2TH6[133];


	extern double table_ABSTRH0[];
	extern double table_ABSTRH1[];
	extern double table_ABSTRH2[];
#endif


#ifdef LAYER1
	extern g_thres table_1TH0[];
	extern g_thres table_1TH1[];
	extern g_thres table_1TH2[];
#endif



#endif